#pragma once
#include "Test08.h"

const char gTest08USSDMessage[161] = "000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000";

Test08::Test08(VodafoneUSBModem *m) : VodafoneTestCase(m) {}
      
// virtual
void Test08::setupTest() {
   _ussdResponse = (char*)malloc(16*sizeof(char));
}
   
// virtual
bool Test08::executeTest() {

   LOG(gTest08Description);
         
   if(_modem->sendUSSD(gTest08USSDMessage,_ussdResponse,16)!=0) {
      LOG("Error sending USSD");
      return false;
   }
         
   LOG("Expecting \"Unknown Command\". Received USSD response: \"%s\"",_ussdResponse);
   return (strcmp(_ussdResponse,"Unknown command")==0);
}
      
// virtual
void Test08::endTest() {
   free(_ussdResponse);
}