#include "Tests.h"
// put all of the descriptions on one place for easy reference
const char* gTest00Description = "Test 0: Resolve 5 different DNS entries and match against IPs.";
const char* gTest01Description = "Test 1: Downloads files from 128 bytes to 1MB, in ^2 increments.";
const char* gTest02Description = "Test 2: Sends and SMS with basic alphabet and numbers.";
const char* gTest03Description = "Test 3: Waits for an SMS message with irregular characters and numbers.";
const char* gTest04Description = "Test 4: Send an SMS message with irregular characters and numbers.";
const char* gTest05Description = "Test 5: Send an SMS message with basic characters and numbers.";
const char* gTest06Description = "Test 6: Trying out USSD communication sending *#100#";
const char* gTest07Description = "Test 7: Sending BAD USSD string \".2890\"";
const char* gTest08Description = "Test 8: Sending USSD over 150 chars \"0(0)00 ... 000(160)\"";
const char* gTest09Description = "Test 9: Retrieve signal strength and print it.";
const char* gTest10Description = "Test 10: x30 -> Retrieve signal strength and print it.";
const char* gTest11Description = "Test 11: x10 -> Retreive MSISDN and send 10 random SMS to self";
const char* gTest12Description = "Test 12: x2 -> Send 25 SMS, wait for recv, read them quickly.";
const char* gTest13Description = "Test 13: Wait for SMS. Send a response.";
const char* gTest14Description = "Test 14: Uploads \"files\" from 128 bytes to 1MB, in ^2 increments.";
const char* gTest15Description = "Test 15: Sends SMSs to self that contain carriage returns and newlines.";
const char* gTest16Description = "Test 16";
const char* gTest17Description = "Test 17";
const char* gTest18Description = "Test 18";
const char* gTest19Description = "Test 19";
const char* gTest20Description = "Test 20";
const char* gTest21Description = "Test 21";
const char* gTest22Description = "Test 22";
const char* gTest23Description = "Test 23";
const char* gTest24Description = "Test 24";
const char* gTest25Description = "Test 25";
const char* gTest26Description = "Test 26";
const char* gTest27Description = "Test 27";
const char* gTest28Description = "Test 28";
const char* gTest29Description = "Test 29";
const char* gTest30Description = "Test 30";
const char* gTest31Description = "Test 31";
const char* gTest32Description = "Test 32";
const char* gTest33Description = "Test 33";
const char* gTest34Description = "Test 34";
const char* gTest35Description = "Test 35";
const char* gTest36Description = "Test 36";
const char* gTest37Description = "Test 37";
const char* gTest38Description = "Test 38";
const char* gTest39Description = "Test 39";
const char* gTest40Description = "Test 40";
const char* gTest41Description = "Test 41";
const char* gTest42Description = "Test 42";
const char* gTest43Description = "Test 43";
const char* gTest44Description = "Test 44";
const char* gTest45Description = "Test 45";
const char* gTest46Description = "Test 46";
const char* gTest47Description = "Test 47";
const char* gTest48Description = "Test 48";
const char* gTest49Description = "Test 49";
const char* gTest50Description = "Test 50";
const char* gTest51Description = "Test 51";
const char* gTest52Description = "Test 52";
const char* gTest53Description = "Test 53";
const char* gTest54Description = "Test 54";
const char* gTest55Description = "Test 55";
const char* gTest56Description = "Test 56";
const char* gTest57Description = "Test 57";
const char* gTest58Description = "Test 58";
const char* gTest59Description = "Test 59";
const char* gTest60Description = "Test 60";

const char* gTestDescriptions[] = {
   gTest00Description, gTest01Description, gTest02Description, gTest03Description, gTest04Description, 
   gTest05Description, gTest06Description, gTest07Description, gTest08Description, gTest09Description,
   gTest10Description, gTest11Description, gTest12Description, gTest13Description, gTest14Description,
   gTest15Description, gTest16Description, gTest17Description, gTest18Description, gTest19Description,
   gTest20Description, gTest21Description, gTest22Description, gTest23Description, gTest24Description,
   gTest25Description, gTest26Description, gTest27Description, gTest28Description, gTest29Description,
   gTest30Description, gTest31Description, gTest32Description, gTest33Description, gTest34Description,
   gTest35Description, gTest36Description, gTest37Description, gTest38Description, gTest39Description,
   gTest40Description, gTest41Description, gTest42Description, gTest43Description, gTest44Description,
   gTest45Description, gTest46Description, gTest47Description, gTest48Description, gTest49Description,
   gTest50Description, gTest51Description, gTest52Description, gTest53Description, gTest54Description,
   gTest55Description, gTest56Description, gTest57Description, gTest58Description, gTest59Description,
   gTest60Description,
};



// globals used for tests
const char* gMyMessage              = "myMessage is golden";
//const char* gTestPhoneNumber        = "+447717275049";
//const char* gTestPhoneNumber        = "+447785666088";
const char* gTestPhoneNumber        = "+447785666058";
const char* gTestMessage            = "this is a test message !";
const char* gAlphabetNumbersMessage = "abcdefghijklmnopqrstuvwxyz1234567890ABCDEFGHIJKLMNOPQRSTUVWXYZ";
const char* gAllCharsMessage        = "abcdefghijklmnopqrstuvwxyz1234567890ABCDEFGHIJKLMNOPQRSTUVWXYZ[]{}()!&*,.':;";
const char* gIrregularMessage       = "£@-!#&%()*+=<>:/_";
